/*jshint node:true*/
var sife = require('./lib/sife.js'),
	loadConfig = require('./lib/loadConfig.js'),
	componentBuilder = require('./lib/componentBuilder.js');

var sifeConfig = loadConfig();


sife.init(sifeConfig);
componentBuilder.init(sifeConfig);


module.exports = {
	getComponentById: componentBuilder.getComponentById.bind(componentBuilder)
};